## dump1090-mutability 1.15~20180310.4a16df3%2Bdfsg

=== debian/changelog ===
dump1090-mutability (1.15~20180310.4a16df3+dfsg-8.1build2) oracular; urgency=medium

  * Rebuild against latest rtl-sdr

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 May 2024 09:05:46 -0400

dump1090-mutability (1.15~20180310.4a16df3+dfsg-8.1build1) noble; urgency=medium

  * Rebuild against latest rtl-sdr

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:23:50 -0500

dump1090-mutability (1.15~20180310.4a16df3+dfsg-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Recommends: python (Closes: #945665).

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 23:38:23 +0100

dump1090-mutability (1.15~20180310.4a16df3+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Patch Makefile for FTCBFS (Closes: #981130)
    Thank you to Helmut Grohne for the patch.

 -- tony mancill <tmancill@debian.org>  Tue, 26 Jan 2021 20:16:35 -0800

dump1090-mutability (1.15~20180310.4a16df3+dfsg-7) unstable; urgency=medium

  * Team upload.

  [ Gürkan Myczko ]
  * Add README.Debian

  [ Matteo F. Vescovi ]
  * debian/control: drop myself from Uploaders

  [ tony mancill ]
  * Add patch for FTBFS with GCC 10 (Closes: #980515)
  * Set Rules-Requires-Root: no in debian/control
  * Bump Standards-Version to 4.5.1
  * Use debhelper-compat 13

 -- tony mancill <tmancill@debian.org>  Sat, 23 Jan 2021 09:11:16 -0800

dump1090-mutability (1.15~20180310.4a16df3+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Debconf translations:
    + nl by Frans Spiesschaert (Closes: #919304)
    + pt by Américo Monteiro (Closes: #919336)
  * Remove calls to dpkg-maintscript-helper, version 1.14 was in experimental
    only.
  * Add override for source-is-missing public_html/markers.js, file is not
    minified, overly long lines are svg data.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 17 Jan 2019 13:32:28 +0100

dump1090-mutability (1.15~20180310.4a16df3+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix debconf template to not split maximum output buffering time template
    on commas (because of two leading underscores). (Closes: #917054)

 -- Christoph Berg <myon@debian.org>  Sat, 22 Dec 2018 12:17:51 +0100

dump1090-mutability (1.15~20180310.4a16df3+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix linking against rtlsdr.
  * Remove /var/log/dump1090-mutability.log on purge. (Closes: #909486)
  * Debconf translations:
    + de by Mathias F. Popp (Closes: #908173)
    + fr by Grégoire Scano (Closes: #912985)
    + nl by Frans Spiesschaert (Closes: #909684)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 21 Dec 2018 10:45:48 +0100

dump1090-mutability (1.15~20180310.4a16df3+dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 4.1.3 -> 4.2.1 (no changes needed)
  * debian/copyright: obsolete entries removed

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 27 Aug 2018 22:08:55 +0200

dump1090-mutability (1.15~20180310.4a16df3+dfsg-2) experimental; urgency=medium

  * debian/control: po-debconf b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 06 Apr 2018 22:42:08 +0200

dump1090-mutability (1.15~20180310.4a16df3+dfsg-1) experimental; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream snapshot release (based on git commit 4a16df3)
  * debian/po/templates.pot: file updated
  * debian/watch: mangling updated

  [ Raphael Geissert ]
  * Use po-debconf for i18n

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 25 Mar 2018 23:49:27 +0200

dump1090-mutability (1.14-1) experimental; urgency=medium

  * Initial release (Closes: #712830)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 14 Feb 2018 22:02:39 +0100
