=== debian/control ===
Source: dump1090-mutability
Section: net
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Raphael Geissert <geissert@debian.org>
Build-Depends:
 apache2-dev (>= 2.4.1),
 debhelper-compat (= 13),
 librtlsdr-dev,
 libusb-1.0-0-dev,
 pkg-config,
 po-debconf
Standards-Version: 4.5.1
Homepage: https://github.com/mutability/dump1090
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/dump1090-mutability
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dump1090-mutability.git
Rules-Requires-Root: no

Package: dump1090-mutability
Architecture: any
Depends:
 adduser,
 libjs-excanvas,
 libjs-jquery-ui,
 libjs-jquery-ui-theme-smoothness,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 lighttpd,
 python (>= 2.5)
Provides:
 fatsv-data-source
Description: ADS-B Ground Station System for RTL-SDR
 Networked Aviation Mode S / ADS-B decoder/translator with RTL-SDR software
 defined radio USB device support.
 .
 This is a packaging of the "mutability" fork of dump1090 that includes
 sampling at 2.4MHz and other improvements.
